Bug 1448661 - Review Request: brotli - Lossless compression algorithm
Summary: Review Request: brotli - Lossless compression algorithm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2017-05-06 22:05 UTC by pouar
Modified: 2017-06-09 19:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-03 02:35:48 UTC
Type: ---
anto.trande: fedora-review+


Attachments (Terms of Use)

Description pouar 2017-05-06 22:05:28 UTC
Spec URL: https://www.pouar.net/downloads/fedora/brotli.spec

SRPM URL: https://www.pouar.net/downloads/fedora/brotli-0.6.0-1.fc27.src.rpm

Description: Brotli is a generic-purpose lossless compression algorithm that compresses data using a combination of a modern variant of the LZ77 algorithm, Huffman coding and 2nd order context modeling, with a compression ratio comparable to the best currently available general-purpose compression methods. It is similar in speed with deflate but offers more dense compression.

Fedora Account System Username: pouar

First time packager here and I heard first time packagers need a sponsor. Also, should I create a copr repo for this? The spec files aren't in upstream's repo, as I wanted to wait until the package gets approved before I notify upstream that Brotli is being included in the Fedora repos? Also, how should I notify upstream? Just create a GitHub issue telling them that Brotli is being included in Fedora? (Serious question as I'm not good at talking to people. I'm not anti-social, I just suck at communicating with people and can be quite clueless when trying to do this)

Comment 1 pouar 2017-05-07 00:01:20 UTC
Forgot the rpmlint

brotli.spec: E: specfile-error Python detected LC_CTYPE=C: LC_ALL & LANG coerced to C.UTF-8 (set another locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion behaviour).
brotli.src: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli.src: E: specfile-error Python detected LC_CTYPE=C: LC_ALL & LANG coerced to C.UTF-8 (set another locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion behaviour).
brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli.x86_64: W: only-non-binary-in-usr-lib
brotli.x86_64: W: no-documentation
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: no-manual-page-for-binary bro
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/enc/backward_references_hq.c
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/enc/backward_references_hq.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/enc/dictionary_hash.c
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/enc/hash_forgetful_chain_inc.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/enc/hash_longest_match64_inc.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/enc/hash_to_binary_tree_inc.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/enc/quality.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/include/brotli/decode.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/include/brotli/encode.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-1.fc27.x86_64/include/brotli/types.h
python2-brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python2-brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
python2-brotli.x86_64: W: no-documentation
python2-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python2-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python3-brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python3-brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
python3-brotli.x86_64: W: no-documentation
python3-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python3-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
5 packages and 1 specfiles checked; 2 errors, 29 warnings.

Comment 2 pouar 2017-05-14 00:40:58 UTC
update: created development libraries and packages

Spec URL: https://www.pouar.net/downloads/fedora/brotli.spec

SRPM URL: https://www.pouar.net/downloads/fedora/brotli-0.6.0-2.fc27.src.rpm

brotli.spec: E: specfile-error Python detected LC_CTYPE=C: LC_ALL & LANG coerced to C.UTF-8 (set another locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion behaviour).
brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli.x86_64: W: shared-lib-calls-exit /usr/lib64/libbrotlienc.so.0.6.0 exit@GLIBC_2.2.5
brotli.x86_64: W: no-documentation
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: no-manual-page-for-binary bro
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/enc/backward_references_hq.c
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/enc/backward_references_hq.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/enc/dictionary_hash.c
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/enc/hash_forgetful_chain_inc.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/enc/hash_longest_match64_inc.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/enc/hash_to_binary_tree_inc.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/enc/quality.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/include/brotli/decode.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/include/brotli/encode.h
brotli-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/brotli-0.6.0-2.fc27.x86_64/include/brotli/types.h
brotli-devel.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli-devel.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli-devel.x86_64: W: only-non-binary-in-usr-lib
brotli-devel.x86_64: W: no-documentation
brotli.src: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli.src: E: specfile-error Python detected LC_CTYPE=C: LC_ALL & LANG coerced to C.UTF-8 (set another locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion behaviour).
4 packages and 1 specfiles checked; 2 errors, 23 warnings.

Comment 3 Antonio T. (sagitter) 2017-05-14 14:48:52 UTC
- 'ctest' does not run any tests:

+ ctest -V
UpdateCTestConfiguration  from :/builddir/build/BUILD/brotli-0.6.0/DartConfiguration.tcl
UpdateCTestConfiguration  from :/builddir/build/BUILD/brotli-0.6.0/DartConfiguration.tcl
Test project /builddir/build/BUILD/brotli-0.6.0
Constructing a list of tests
Updating test list for fixtures
Added 0 tests to meet fixture requirements
Checking test dependency graph...
Checking test dependency graph end
No tests were found!!!

- Please, fix those 'spurious-executable-perm' warnings.

- Cleaning (rm -rf %{buildroot}) is not need.

- LICENSE can be excluded in 'brotli-devel'

Comment 4 pouar 2017-05-14 19:51:01 UTC
Spec URL: https://www.pouar.net/downloads/fedora/brotli.spec
SRPM URL: https://www.pouar.net/downloads/fedora/brotli-0.6.0-3.fc27.src.rpm

# rpmlint brotli.spec ../RPMS/*/*.rpm ../SRPMS/*.rpm 
brotli.spec: E: specfile-error Python detected LC_CTYPE=C: LC_ALL & LANG coerced to C.UTF-8 (set another locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion behaviour).
brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli.x86_64: W: shared-lib-calls-exit /usr/lib64/libbrotlienc.so.0.6.0 exit@GLIBC_2.2.5
brotli.x86_64: W: no-documentation
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: no-manual-page-for-binary bro
brotli-devel.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli-devel.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli-devel.x86_64: W: only-non-binary-in-usr-lib
brotli-devel.x86_64: W: no-documentation
python2-brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python2-brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
python2-brotli.x86_64: W: no-documentation
python2-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python2-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python3-brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python3-brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
python3-brotli.x86_64: W: no-documentation
python3-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python3-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.src: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli.src: E: specfile-error Python detected LC_CTYPE=C: LC_ALL & LANG coerced to C.UTF-8 (set another locale or PYTHONCOERCECLOCALE=0 to disable this locale coercion behaviour).
6 packages and 1 specfiles checked; 2 errors, 23 warnings.

Comment 5 Antonio T. (sagitter) 2017-05-15 11:11:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 226 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1448661-brotli/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/.build-id/9d
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/python3.6/site-
     packages/__pycache__(python36)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-brotli , python3-brotli , brotli-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: brotli-0.6.0-3.fc27.x86_64.rpm
          python2-brotli-0.6.0-3.fc27.x86_64.rpm
          python3-brotli-0.6.0-3.fc27.x86_64.rpm
          brotli-devel-0.6.0-3.fc27.x86_64.rpm
          brotli-debuginfo-0.6.0-3.fc27.x86_64.rpm
          brotli-0.6.0-3.fc27.src.rpm
brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli.x86_64: W: shared-lib-calls-exit /usr/lib64/libbrotlienc.so.0.6.0 exit@GLIBC_2.2.5
brotli.x86_64: W: no-documentation
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: no-manual-page-for-binary bro
python2-brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python2-brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
python2-brotli.x86_64: W: no-documentation
python2-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python2-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python3-brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python3-brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
python3-brotli.x86_64: W: no-documentation
python3-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python3-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli-devel.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli-devel.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli-devel.x86_64: W: only-non-binary-in-usr-lib
brotli-devel.x86_64: W: no-documentation
brotli.src: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
6 packages and 0 specfiles checked; 0 errors, 23 warnings.




Rpmlint (debuginfo)
-------------------
Checking: brotli-debuginfo-0.6.0-3.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
brotli-devel.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli-devel.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli-devel.x86_64: W: only-non-binary-in-usr-lib
brotli-devel.x86_64: W: no-documentation
python3-brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python3-brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
python3-brotli.x86_64: W: no-documentation
python3-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python3-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
brotli.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbrotlicommon.so.0.6.0 /lib64/libm.so.6
brotli.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libbrotlidec.so.0.6.0 /lib64/libm.so.6
brotli.x86_64: W: shared-lib-calls-exit /usr/lib64/libbrotlienc.so.0.6.0 exit@GLIBC_2.2.5
brotli.x86_64: W: no-documentation
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
brotli.x86_64: W: no-manual-page-for-binary bro
python2-brotli.x86_64: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python2-brotli.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
python2-brotli.x86_64: W: no-documentation
python2-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python2-brotli.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
5 packages and 0 specfiles checked; 0 errors, 23 warnings.



Requires
--------
brotli-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    brotli(x86-64)
    libbrotlicommon.so.0.6.0()(64bit)
    libbrotlidec.so.0.6.0()(64bit)
    libbrotlienc.so.0.6.0()(64bit)
    pkgconfig(libbrotlicommon)

brotli-debuginfo (rpmlib, GLIBC filtered):

python3-brotli (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.6m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python(abi)
    python3
    rtld(GNU_HASH)

brotli (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libbrotlicommon.so.0.6.0()(64bit)
    libbrotlidec.so.0.6.0()(64bit)
    libbrotlienc.so.0.6.0()(64bit)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

python2-brotli (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python(abi)
    python2
    rtld(GNU_HASH)



Provides
--------
brotli-devel:
    brotli-devel
    brotli-devel(x86-64)
    pkgconfig(libbrotlicommon)
    pkgconfig(libbrotlidec)
    pkgconfig(libbrotlienc)

brotli-debuginfo:
    brotli-debuginfo
    brotli-debuginfo(x86-64)

python3-brotli:
    python3-brotli
    python3-brotli(x86-64)
    python3.6dist(brotli)
    python3dist(brotli)

brotli:
    brotli
    brotli(x86-64)
    libbrotlicommon.so.0.6.0()(64bit)
    libbrotlidec.so.0.6.0()(64bit)
    libbrotlienc.so.0.6.0()(64bit)

python2-brotli:
    python-brotli
    python-brotli(x86-64)
    python2-brotli
    python2-brotli(x86-64)
    python2.7dist(brotli)
    python2dist(brotli)



Unversioned so-files
--------------------
python2-brotli: /usr/lib64/python2.7/site-packages/_brotli.so
python3-brotli: /usr/lib64/python3.6/site-packages/_brotli.cpython-36m-x86_64-linux-gnu.so

Source checksums
----------------
https://github.com/google/brotli/archive/v0.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : 69cdbdf5709051dd086a2f020f5abf9e32519eafe0ad6be820c667c3a9c9ee0f
  CHECKSUM(SHA256) upstream package : 69cdbdf5709051dd086a2f020f5abf9e32519eafe0ad6be820c667c3a9c9ee0f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1448661
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Jason Tibbitts 2017-05-22 17:24:14 UTC
I could use this in cyrus, so I'm awaiting its appearance in rawhide and hopefully F26.  Please let me know if there's anything I can do to assist.

Comment 7 Jason Tibbitts 2017-05-22 17:25:28 UTC
Also, how is the fedora-review flag set to + without this ticket being assigned to anyone?  Antonio, if you are really intending to review this, please assign the ticket to yourself.

Comment 8 Antonio T. (sagitter) 2017-05-22 17:36:56 UTC
(In reply to Jason Tibbitts from comment #7)
> Also, how is the fedora-review flag set to + without this ticket being
> assigned to anyone?  Antonio, if you are really intending to review this,
> please assign the ticket to yourself.

This package is approved but submitter needs a sponsor.

Comment 9 Jason Tibbitts 2017-05-22 18:26:01 UTC
That's fine; I can assist with that.

I prefer to work via IRC (I'm "tibbs" in #fedora-devel on Freenode) but I can work via email as well.

pouar: Feel free to contact me and I'll help you get set up.

Comment 10 Jason Tibbitts 2017-05-22 20:00:17 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/brotli

Comment 11 Fedora Update System 2017-05-23 14:32:21 UTC
brotli-0.6.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7ff8c073bc

Comment 12 Fedora Update System 2017-05-23 14:33:59 UTC
brotli-0.6.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7299929ef6

Comment 13 Fedora Update System 2017-05-24 07:11:05 UTC
brotli-0.6.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7299929ef6

Comment 14 Fedora Update System 2017-05-24 13:46:43 UTC
brotli-0.6.0-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7299929ef6

Comment 15 Fedora Update System 2017-05-25 19:18:39 UTC
brotli-0.6.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7ff8c073bc

Comment 16 Fedora Update System 2017-05-26 06:01:45 UTC
brotli-0.6.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7299929ef6

Comment 17 Fedora Update System 2017-06-03 02:35:48 UTC
brotli-0.6.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-06-09 19:09:23 UTC
brotli-0.6.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.